import request from "@/utils/request";

export function gerFormList(data: string) {
  return request({
    url: "/api/v1/process/examine/procedure/list",
    method: "post",
    data,
  });
}
//审核
export function toCheck(data: string) {
  return request({
    url: "/api/v1/process/excel/examine/add",
    method: "post",
    data,
  });
}
//获取历史记录
export function logList(data: string) {
  return request({
    url: "/api/v1/process/excel/log/list",
    method: "post",
    data,
  });
}
//获取提交审核后的信息
export function examineList(data: string) {
  return request({
    url: "/api/v1/process/excel/examine/list",
    method: "post",
    data,
  });
}
//审核
export function toCheckRes(data: string) {
  return request({
    url: "/api/v1/process/excel/log/handle",
    method: "post",
    data,
  });
}
export function getExcelData(formId: string) {
  return request({
    url: `/api/v1/ProcessFormData/formData/${formId}`,
    method: "get",
  });
}
